ChangeSet 1.1433.1.4, 2003/10/03 15:16:45-07:00, dan@reactivated.net

[PATCH] USB brlvger: Debug code fixes

When compiling this driver with WRITE_DEBUG defined (for extra debug output),
gcc outputs warnings for three similar printf statements.

The specifier in each printf statement is not totally correct.
This patch removes these warnings.


 drivers/usb/misc/brlvger.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)


diff -Nru a/drivers/usb/misc/brlvger.c b/drivers/usb/misc/brlvger.c
--- a/drivers/usb/misc/brlvger.c	Fri Oct  3 16:44:10 2003
+++ b/drivers/usb/misc/brlvger.c	Fri Oct  3 16:44:10 2003
@@ -591,14 +591,14 @@
 			int firstpart = 6 - off;
 			
 #ifdef WRITE_DEBUG
-			dbg3("off: %d, rs: %d, count: %d, firstpart: %d",
+			dbg3("off: %lld, rs: %d, count: %d, firstpart: %d",
 			     off, rs, count, firstpart);
 #endif
 
 			firstpart = (firstpart < count) ? firstpart : count;
 
 #ifdef WRITE_DEBUG
-			dbg3("off: %d", off);
+			dbg3("off: %lld", off);
 			dbg3("firstpart: %d", firstpart);
 #endif
 
@@ -618,7 +618,7 @@
 			off +=2;
 
 #ifdef WRITE_DEBUG
-			dbg3("off: %d, rs: %d, count: %d, firstpart: %d, "
+			dbg3("off: %lld, rs: %d, count: %d, firstpart: %d, "
 				"written: %d", 	off, rs, count, firstpart, written);
 #endif
 		}
